OpenTTD Source: Data Fields

OpenTTD Source 15.0-beta1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- a : Blitter_32bppSimple::Pixel, DiagonalTileArea, SpriteLoader::CommonPixel
- a_cur : DiagonalTileIterator
- a_max : DiagonalTileIterator
- abbrev : CargoSpec
- abort : GenWorldInfo
- Abort() : TimeoutTimer< TTimerType >
- AbortJob() : LinkGraphJob
- abortp : GenWorldInfo
- AbortTimer() : NewGRFProfiler
- absolute : NWidgetResizeBase
- abstract_filetype : ConsoleFileList
- abstract_ftype : FileToSaveLoad
- acc_duration : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- acc_timestamp : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- acceleration : ShipVehicleInfo, Vehicle
- acceleration_type : RailTypeInfo
- acceptance : IndustryTileSpec, NewsSettings
- AcceptClient() : TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- AcceptConnection() : ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- accepted : Industry
- accepted_cargo_filter_criteria : IndustryDirectoryWindow
- accepts_cargo : HouseSpec, IndustrySpec, IndustryTileSpec
- accepts_cargo_label : HouseSpec, IndustrySpec, IndustryTileSpec
- accepts_lines : StationViewWindow
- ACCEPTS_LINES : StationViewWindow
- accident : NewsSettings
- accident_other : NewsSettings
- accuracy : DemandCalculator, LinkGraphSettings
- acs : NWidgetNewGRFDisplay
- act5_type : SpriteAlignerWindow
- action : SaveLoadParams
- action14present : NewGRFParametersWindow
- ACTION_CLEAR : QueryString
- action_counts : VehicleCargoList
- ACTION_DESELECT : QueryString
- ACTION_NOTHING : QueryString
- ActionCount() : VehicleCargoList
- active : NewGRFProfiler
- active_button_id : StoryBookWindow
- active_over : NewGRFWindow
- active_playlist : MusicSystem
- active_sel : NewGRFWindow
- actives : NewGRFWindow
- Add() : anonymous_namespace{framerate_gui.cpp}::PerformanceData, CombinedAuthenticationClientHandler, CombinedAuthenticationServerHandler, NetworkAuthorizedKeys, NWidgetBackground, NWidgetContainer, OrthogonalTileArea, OutputBuffer, OutputStore, OverrideManagerBase, SmallSet< Tdir, items >, StringData
- add_accepted_cargo_proc : TileTypeProcs
- add_output : IndustryProductionSpriteGroup
- add_produced_cargo_proc : TileTypeProcs
- AddAccumulate() : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- AddCallback() : ClientNetworkContentSocketHandler
- AddClassBegin() : Squirrel
- AddClassEnd() : Squirrel
- AddConst() : Squirrel
- AddCost() : CommandCost
- AddEdge() : LinkGraph::BaseNode
- AddEntityID() : IndustryOverrideManager, OverrideManagerBase
- AddFacility() : Station
- AddFeederShare() : CargoPacket
- AddFile() : BaseMedia< Tbase_set >, FileScanner, FiosFileScanner, GRFFileScanner, LanguageScanner, ScenarioScanner, ScriptFileChecksumCreator, ScriptScanner, SocialIntegrationFileScanner, TarScanner
- AddFlow() : FlowStatMap, LinkGraphJob::EdgeAnnotation, Path
- AddGRFToActive() : NewGRFWindow
- AddIndustryToDeliver() : Station
- AddKeycode() : Hotkey
- AddLabels() : ScriptInfo
- AddLine() : StringFilter
- AddLinks() : LinkGraphOverlay
- AddMethod() : Squirrel
- AddMultipleNodes() : CYapfBaseT< Types >
- AddNewNode() : CYapfBaseT< Types >
- AddNode() : AsymmetricScaler, Kdtree< T, TxyFunc, CoordT, DistT >, LinkGraph, SymmetricScaler
- AddPacket() : PacketReader
- AddPause() : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- AddProfitLastYear() : GroupStatistics
- address : NetworkAddress, ServerNetworkAdminSocketHandler
- address_length : NetworkAddress
- address_proc : SaveLoad
- addresses : TCPConnecter
- AddressFamilyAsString() : NetworkAddress
- AddSetting() : ScriptInfo
- AddSpriteSets() : GrfProcessingState
- AddStartNode() : AyStar
- AddStartupNode() : CYapfBaseT< Types >
- AddStats() : LinkGraphOverlay
- AddToCache() : CargoList< Tinst, Tcont >, VehicleCargoList
- AddToMeta() : VehicleCargoList
- AddToShared() : Vehicle
- AddVehicle() : OrderList
- admin_authorized_keys : NetworkSettings
- admin_name : NetworkAdminSocketHandler
- admin_password : NetworkSettings
- admin_version : NetworkAdminSocketHandler
- advance : ICURun
- advanced : SelectCompanyManagerFaceWindow
- advanced_vehicle_list : GUISettings
- AdvanceOffset() : StringParameters
- advice : NewsSettings
- afilter : Textbuf
- AfterBlitterChange() : VideoDriver, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_SDL, VideoDriver_SDL_Base, VideoDriver_Win32GDI
- AfterCrashLogCleanup() : CrashLog
- AfterDownload() : ClientNetworkContentSocketHandler
- AfterLoad() : CargoPacket
- AfterLoadChangelog() : GameManualTextfileWindow
- AfterLoadMarkdown() : TextfileWindow
- AfterLoadText() : GameManualTextfileWindow, TextfileWindow
- AfterLoadVehiclesPhase1 : OrderList, Vehicle
- AfterNewGRFScan() : AfterNewGRFScan
- AfterStationTileSetChange() : Station
- age : Engine, NewsTypeData, Vehicle
- AgeCargo() : VehicleCargoList
- ai : GameSettings, NetworkCompanyStats
- AI : TarScanner
- ai : TCPConnecter
- ai_callback : GenericScopeResolver
- ai_config : GameSettings
- ai_developer_tools : GUISettings
- ai_disable_veh_aircraft : AISettings
- ai_disable_veh_roadveh : AISettings
- ai_disable_veh_ship : AISettings
- ai_disable_veh_train : AISettings
- ai_in_multiplayer : AISettings
- ai_passenger_only : RailVehicleInfo
- air_drag : RailVehicleInfo, RoadVehicleInfo
- Aircraft() : Aircraft
- AIRPLANES : AirportFTAClass
- airport : CompanyInfrastructure, Station
- airport_class : TileDesc
- airport_flag : MovementTerminalMapping
- airport_id : AirportTileScopeResolver
- airport_name : TileDesc
- airport_scope : AirportTileResolverObject
- airport_tile_name : TileDesc
- AirportResolverObject() : AirportResolverObject
- AirportScopeResolver() : AirportScopeResolver
- AirportTileIterator() : AirportTileIterator
- AirportTileResolverObject() : AirportTileResolverObject
- AirportTileScopeResolver() : AirportTileScopeResolver
- AirportTileTableIterator() : AirportTileTableIterator
- AirportToolbarGlobalHotkeys() : BuildAirToolbarWindow
- AliasGet() : IConsole
- AliasRegister() : IConsole
- align : NWidgetCore, NWidgetPart::NWidgetPartUnion, NWidgetPartAlignment
- align_h : IntroGameViewportCommand
- align_v : IntroGameViewportCommand
- AlignmentH : IntroGameViewportCommand
- AlignmentV : IntroGameViewportCommand
- ALL : AirportFTAClass, TarScanner
- all_capacities : TestedEngineDetails
- AllClientIdsSet() : CommandHelper< Tcmd, Tret(*)(DoCommandFlag, Targs...), true >
- alloc_cache : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- Allocate() : Map, NewGRFClass< Tspec, Tindex, Tmax >, NewGRFSpriteLayout, ReusableBuffer< T >, SpriteAllocator
- AllocateBackingStore() : VideoDriver_SDL_Base, VideoDriver_SDL_Default, VideoDriver_SDL_OpenGL, VideoDriver_Win32Base, VideoDriver_Win32GDI
- AllocateBay() : RoadStop
- allocated_size : ScriptAllocator
- AllocateData() : SpriteLoader::Sprite
- AllocateDriveThroughBay() : RoadStop
- AllocatePtr() : CacheSpriteAllocator, SimpleSpriteAllocator, SpriteAllocator, UniquePtrSpriteAllocator
- AllocateRegisters() : NewGRFSpriteLayout
- allocation_limit : ScriptAllocator
- allocator : Squirrel
- allow_do_command : ScriptStorage
- allow_insecure_admin_login : NetworkSettings
- allow_list : CompanyProperties
- allow_merge : LinkRefresher
- allow_town_level_crossings : EconomySettings
- allow_town_roads : EconomySettings
- AllowConnection() : ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- ALLOWED_DRIFT : VideoDriver
- AllowedSubtags() : AllowedSubtags
- ALREADY_HERE : ContentInfo
- alternate_labels : RailTypeInfo, RoadTypeInfo
- ALWAYS : TimerGameRealtime
- always_accepted : Station
- ambient : SoundSettings
- amount : CargoSummaryItem, OldChunks
- amount_fract : GoodsEntry
- amount_of_rivers : GameCreationSettings
- AnchorUnchangeableSettings() : ScriptConfig
- anim_alloc : Blitter_32bppAnim
- anim_buf : Blitter_32bppAnim
- anim_buf_height : Blitter_32bppAnim
- anim_buf_pitch : Blitter_32bppAnim
- anim_buf_width : Blitter_32bppAnim
- anim_buffer : OpenGLBackend, VideoDriver_CocoaOpenGL, VideoDriver_SDL_OpenGL
- anim_next : IndustryTileSpec
- anim_pbo : OpenGLBackend
- anim_production : IndustryTileSpec
- anim_state : IndustryTileSpec
- anim_texture : OpenGLBackend
- animate_cur : CursorVars
- animate_list : CursorVars
- animate_timeout : CursorVars
- AnimateTile() : AnimationBase< Tbase, Tspec, Tobj, Textra, GetCallback, Tframehelper >
- animation : AirportTileSpec, HouseSpec, IndustryTileSpec, ObjectSpec
- animation_special_flags : AirportTileSpec
- animation_state : EffectVehicle
- animation_substate : EffectVehicle
- api_version : AIInfo, GameInfo
- APIName : Squirrel
- appear_creation : IndustrySpec
- appear_ingame : IndustrySpec
- Append() : StationCargoList, VehicleCargoList
- AppendByte() : Buffer
- AppendHistory() : TextfileWindow
- AppendShare() : FlowStat
- AppendToBuffer() : CoreTextParagraphLayoutFactory, FallbackParagraphLayoutFactory, UniscribeParagraphLayoutFactory
- AppendUtf8() : Buffer
- ApplyDefaults() : Window
- ApplyWaterClassSpeedFrac() : ShipVehicleInfo
- area : ClearedObjectArea, SelectStationWindow< T >
- AreChangesPersistent() : BasePersistentStorageArray
- AreMergable() : StationCargoList, VehicleCargoList
- arguments : GetOptData
- array : CargoSpec
- arrival : TimetableArrivalDeparture
- arrival_other : NewsSettings
- arrival_player : NewsSettings
- ascender : FontCache
- AsIntSetting() : SettingDesc
- AskUserForPassword() : ClientGamePasswordRequestHandler, NetworkAuthenticationPasswordRequestHandler, TestPasswordRequestHandler
- aspect : NWidgetPart::NWidgetPartUnion
- aspect_flags : NWidgetBase
- aspect_ratio : NWidgetBase
- AssertCountConsistency() : VehicleCargoList
- Assign() : NewGRFClass< Tspec, Tindex, Tmax >, Textbuf
- AssignOrder() : Order
- AssignSizePosition() : NWidgetBackground, NWidgetBase, NWidgetHorizontal, NWidgetHorizontalLTR, NWidgetLayer, NWidgetMatrix, NWidgetNewGRFDisplay, NWidgetResizeBase, NWidgetServerListHeader, NWidgetSmallmapDisplay, NWidgetStacked, NWidgetToolbarContainer, NWidgetVertical
- AsString() : NetworkError
- AsStringSetting() : SettingDesc
- async_mode : ScriptStorage
- async_mode_instance : ScriptStorage
- at : LoggedAction
- AtEndOfFile() : RandomAccessFile
- att : AirportTileTableIterator
- Attach() : HashTableSlot< TItem >
- AUTHENTICATED : NetworkAuthenticationServerHandler
- authentication_handler : ClientNetworkGameSocketHandler, ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- author : ScriptInfo
- authorized_key_handler : X25519AuthorizedKeyServerHandler
- authorized_keys : NetworkAuthenticationDefaultAuthorizedKeyHandler
- auto_euro : GUISettings
- auto_rail : RailTypeInfo
- auto_refit : RefitWindow
- auto_remove_signals : GUISettings
- auto_road : RoadTypeInfo
- auto_scrolling : GUISettings
- auto_select : NetworkContentListWindow
- autoclean_companies : NetworkSettings
- autoclean_novehicles : NetworkSettings
- autoclean_protected : NetworkSettings
- autorail : RailTypeInfo
- autoreplace_defined : GroupStatistics
- autoreplace_finished : GroupStatistics
- AutoRestoreBackup() : AutoRestoreBackup< T >
- autoroad : RoadTypeInfo
- AUTOSAVE : TimerGameRealtime
- autosave_interval : GUISettings
- autosave_on_exit : GUISettings
- autosave_on_network_disconnect : GUISettings
- autoscroll : ScriptDebugWindow
- AUTOSELECTED : ContentInfo
- autoslope : ConstructionSettings
- avail_pos : NewGRFWindow
- avail_railtypes : Company
- avail_roadtypes : Company
- avail_sel : NewGRFWindow
- avail_year : BridgeSpec
- available_actions : TownAuthorityWindow
- available_sets : BaseMedia< Tbase_set >
- AvailableCount() : StationCargoList
- avails : NewGRFWindow
- avs : NWidgetNewGRFDisplay
- AWAIT_USER_INPUT : NetworkAuthenticationClientHandler
- awarded : Subsidy
- AwardTo() : Subsidy
- axis : StationPickerSelection, StationScopeResolver